/*
filename: style.css
author: Evan Lanza
student id last four: 8804
cs username: elanza05
*/

/* Main container for the plant generator interface */
.generator{
    text-align:center;
    width:400px;
    margin:auto;
    padding:20px;
    border-style: solid;
    border-radius: 25px;
    border-width: 10px;
    border-color: #c2deba;
    background-color: #f4f9f2;
    color: #3b6d11;
}

/* Targets images inside the plant-display container */
.plant-display img{
    width: 200px;
    height: 250px;
    object-fit: contain;
    transition: transform 0.8s ease;
    /* Smooth animation when a transform (like rotation) occurs */
    border-style: solid;
    display: block;
    margin: 0 auto;
    border-radius: 25px;
    border-color: #3b6d11;
}

/* Class used to trigger a rotation animation */
.spin{
    transform: rotate(360deg);
}

/* Styles applied to all button elements */
button{
    border-radius: 25px;
    padding:10px 15px;
    margin:10px;
    cursor:pointer;
    background-color: #c2deba;
    color: #3b6d11;

    border-style: solid;
    border-width: 2px;

    border-color: #3B6D11;
}
